## org.eclipse.datatools.connectivity.ui.actions
Class AddProfileViewAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.jface.action.IAction, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

Direct Known Subclasses:
  AddRepositoryViewAction

    public class AddProfileViewAction

extends org.eclipse.jface.action.Action
implements org.eclipse.core.commands.IHandler, org.eclipse.ui.IViewActionDelegate

Ideally, this class should be split into two, one is for Action, the other is for View Action.

Author:
  shongxum, brianf

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`AddProfileViewAction()` Constructor
`AddProfileViewAction(ICategory category)`
`AddProfileViewAction(java.lang.String categoryID)`

Method Summary
`void` `addHandlerListener(org.eclipse.core.commands.IHandlerListener listener)`
`void` `dispose()`
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`
`IConnectionProfile` `getAddedProfile()`
`boolean` `getIgnoreCategory()`
`IConnectionProfile` `getParentProfile()`
`boolean` `getUseSelection()`
`int` `getWizardReturnCode()`
`void` `init(org.eclipse.ui.IViewPart viewpart)`
`void` `init(org.eclipse.swt.widgets.Shell parentShell)` Initialize the shell for use as the parent shell of the action's dialog.
`boolean` `isEnabled()`
`boolean` `isHandled()`
`void` `removeHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)`
`void` `run()`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setCategory(ICategory category)`
`void` `setCategory(java.lang.String categoryID)`
`void` `setIgnoreCategory(boolean flag)`
`void` `setParentProfile(IConnectionProfile profile)`
`void` `setUseSelection(boolean flag)`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### AddProfileViewAction

    public AddProfileViewAction()

  Constructor

### AddProfileViewAction

    public AddProfileViewAction(ICategory category)

Parameters:
  `category` -

### AddProfileViewAction

    public AddProfileViewAction(java.lang.String categoryID)

Parameters:
  `categoryID` -

Method Detail

### init

    public void init(org.eclipse.ui.IViewPart viewpart)

  Specified by:
    `init` in interface `org.eclipse.ui.IViewActionDelegate`

### init

    public void init(org.eclipse.swt.widgets.Shell parentShell)

  Initialize the shell for use as the parent shell of the action's dialog. Use this method when the action is extended to run without being associated with a view.

  Parameters:
    `parentShell` -

### addHandlerListener

    public final void addHandlerListener(org.eclipse.core.commands.IHandlerListener listener)

  Specified by:
    `addHandlerListener` in interface `org.eclipse.core.commands.IHandler`

### dispose

    public final void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.core.commands.IHandler`

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `execute` in interface `org.eclipse.core.commands.IHandler`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

### removeHandlerListener

    public void removeHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)

  Specified by:
    `removeHandlerListener` in interface `org.eclipse.core.commands.IHandler`

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### setCategory

    public void setCategory(ICategory category)

  Parameters:
    `category` -

### setCategory

    public void setCategory(java.lang.String categoryID)

  Parameters:
    `categoryID` -

### setParentProfile

    public void setParentProfile(IConnectionProfile profile)

  Parameters:
    `profile` -

### getParentProfile

    public IConnectionProfile getParentProfile()

  Returns:

### getWizardReturnCode

    public int getWizardReturnCode()

  Returns:

### getAddedProfile

    public IConnectionProfile getAddedProfile()

  Returns:

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `org.eclipse.core.commands.IHandler`
  Specified by:
    `isEnabled` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `isEnabled` in class `org.eclipse.jface.action.Action`

### isHandled

    public boolean isHandled()

  Specified by:
    `isHandled` in interface `org.eclipse.core.commands.IHandler`
  Specified by:
    `isHandled` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `isHandled` in class `org.eclipse.jface.action.Action`

### getIgnoreCategory

    public boolean getIgnoreCategory()

  Returns:

### setIgnoreCategory

    public void setIgnoreCategory(boolean flag)

  Parameters:
    `flag` -

### getUseSelection

    public boolean getUseSelection()

  Returns:

### setUseSelection

    public void setUseSelection(boolean flag)

  Parameters:
    `flag` -